API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /support/v1/plesk-servers/{id}

PATCH/support/v1/plesk-servers/{id}

Update Plesk server configuration

Request Body

NameTypBeschreibung
namestring
urlstring<uri>
apiKeystring
regionstring
statusstring
notesstring
ipAddressesstring[]
sshEnabledboolean
capacityLimitsobject

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/support/v1/plesk-servers/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "url": "string",
  "apiKey": "string",
  "region": "string",
  "status": "online",
  "notes": "string",
  "ipAddresses": [],
  "sshEnabled": false,
  "capacityLimits": null
}'
const result = await cm.plesk-servers.patch({
  "name": "string",
  "url": "string",
  "apiKey": "string",
  "region": "string",
  "status": "online",
  "notes": "string",
  "ipAddresses": [],
  "sshEnabled": false,
  "capacityLimits": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche